<?php 
/*
Plugin Name: iframe Killer
Description: Restrict site to open in iframe from external website
Version: 1.0
Author: Jiten Gaikwad
Author URI: https://jitengaikwad.wordpress.com/
License: GPL2
 */

//Initialize the flow
$book = new iframekiller();

//include all the files
if(isset($book))
{
	register_activation_hook(__FILE__, array('iframekiller','InitializeReg'));
	require_once( ABSPATH . WPINC . '/pluggable.php' );     
	register_deactivation_hook( __FILE__, array('iframekiller','my_plugin_deactivation') );    
}


class iframekiller
{
    //check the wordpress updated version
    static $js_version = 1.0;  
    function __construct()
    {
        add_action('wp_enqueue_scripts', array(&$this,'RegScripts'));     
    }
       
    
    function InitializeReg()
    {
        //initiate the plugin information
        global $wp_version;
        if (version_compare($wp_version, "4.2", "<")) {
            deactivate_plugins(basename(__FILE__));
            wp_die("This Plugin Requires Wordpress Version 4.2 or Higher");
        }
        add_action('wp_enqueue_scripts', array(&$this,'RegScripts'));  
        add_option("js_version", self::$js_version);
       
       
    }
 
    function RegScripts()
    {
        wp_enqueue_script('custom_js',plugins_url('/js/custom-script.js', __FILE__));    
    }
       
    function my_plugin_deactivation() {
		delete_option('js_version');
		wp_dequeue_script( 'custom_js' );
		wp_deregister_script( 'custom_js' );
	}   
}